package com.example.ueberwachungssystem;

import androidx.annotation.NonNull;
import androidx.appcompat.app.AppCompatActivity;
import androidx.camera.core.ExperimentalGetImage;

import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;
import android.widget.ToggleButton;

import com.example.ueberwachungssystem.Detection.DetectionReport;
import com.example.ueberwachungssystem.Detection.Detector;
import com.example.ueberwachungssystem.Detection.VideoDetector;

@ExperimentalGetImage
public class MainActivity extends AppCompatActivity {

    private static final int CAMERA_PERMISSION_REQUEST_CODE = 101;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);


        ImageView inputImageView = findViewById(R.id.inputImageView);
        ImageView outputImageView = findViewById(R.id.outputImageView);


        VideoDetector vd = new VideoDetector(this);
        vd.debugProcessing(inputImageView, outputImageView);
        vd.setOnDetectionListener(new Detector.OnDetectionListener(){
            @Override
            public void onDetection(@NonNull DetectionReport detectionReport) {
                detectionReport.log("OnDetection");
            }
        });



        ToggleButton toggleButton = findViewById(R.id.toggleButton);
        toggleButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if (toggleButton.isChecked())
                {
                    vd.startDetection();
                }
                else {
                    vd.stopDetection();
                }
            }
        });

    }
}